Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	QEMU Emulator
Name:		qemu
Version: 	0.9.1
Release: 	2
License:	GNU/GPL/LGPL
URL:		http://www.qemu.org
Group: 		Emulators
Source:		%{name}-%{version}.tar.gz
Patch0:		qemu-0.9.1-gcc4.patch
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	gcc

%description 
QEMU is a generic and open source processor emulator which achieves
a good emulation speed by using dynamic translation.
QEMU has two operating modes:

* Full system emulation. In this mode, QEMU emulates a full system
  (for example a PC), including a processor and various peripherials.
  It can be used to launch different Operating Systems without
  rebooting the PC or to debug system code.
* User mode emulation (Linux host only). In this mode,
  QEMU can launch Linux processes compiled for one CPU on another CPU. 

An optional proprietary QEMU Accelerator Module is available to
optimize the case where a PC is emulated on a PC.
This module enables QEMU to run most of the target application code
directly on the host processor to achieve near native performance.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--enable-adlib \
--target-list=i386-softmmu \
--enable-alsa \
--disable-gcc-check
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_bindir
%_datadir

%changelog
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-2
- rebuilt against gnutls 2.2.2
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- Version update
* Thu Feb 08 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9.0-1
- Version Update
* Thu Apr 27 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 0.8.0-5
- rebuild against kernel-2.6.16
* Tue Jan 31 2006 Christian Wasem <wasem@ccux-linux.de> 0.8.0-4
- rebuilt, fixed group, changed description and license
- (we don't provide the proprietary QEMU Accelerator Module)
* Thu Jan 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-3
- fixed dependency
* Wed Jan 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.0-2
- rebuilt against kernel-2.6.15
* Tue Jan 03 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.8.0-1
- Version Update added qvm86 module
* Mon Oct 17 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.7.2-1
- Initial Release
